ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

TcCanonical

# Documentation

canonicalize :: Ct -> TcS (StopOrContinue Ct)

unifyDerived :: CtLoc -> Role -> Pair TcType -> TcS ()

data StopOrContinue a

Constructors

ContinueWith a |
Stop CtEvidence SDoc |

Instances

Functor StopOrContinue |
Outputable a => Outputable (StopOrContinue a) |

stopWith :: CtEvidence -> String -> TcS (StopOrContinue a)

continueWith :: a -> TcS (StopOrContinue a)